disp('Simulations')
% Simulation
clear all
close all
draw=2;
N = 2000;
Rep = 50000/25; %2000;
loop_num=22;


mut_vec=linspace(.3,.3+(.7-.3)/25*loop_num,Rep);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Load mini-loops variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
load S.txt
load p.txt
load wp.txt 
load ww.txt
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%% Cumulative probs
for pp=1:size(p,1)
p_sum(pp)=sum(p(1:pp));
end

iter_count=1;
if draw==2
    g = zeros(size(ww,2),1);
    for r=1:Rep
        if r/Rep>=iter_count/10
        fprintf('%2.0f...',iter_count)
        iter_count=iter_count+1;
    else end
        
        
        mut = zeros(N,1);
        mut(1)=mut_vec(r);
        %mut(1)=0.6*rand+0.2;
        % Drawing the shocks sequence
        S = zeros(N,1);  
        S(1) = 1;  
        for t=2:N
            s = random('unif',0,1);
            if s<=p_sum(1)
                S(t)=1;
            else 
                S(t)=max(find(p_sum<=s))+1;    
            end
            
            mut(t) = interp1(ww,wp(S(t),:),mut(t-1),'linear');

        end % loop over time
   
         
        f =  hist(mut,ww');
        g=g+f';
    end % loop over repetitions
end % end if on draw==2


% disp(' ')
% g
% disp(' ')

save g1_22.txt g -ascii -double